%define upstream_name    Mojolicious
%define upstream_version 5.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A next generation web framework for Perl
License:    Artistic 2.0
Group:      Development/Perl
Url:        http://mojolicious.org/
Source0:    http://www.cpan.org/authors/id/S/SR/SRI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::IP) >= 0.260.0
BuildRequires: perl(Pod::Simple) >= 3.90.0
BuildRequires: perl(Time::Local) >= 1.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Back in the early day of the web there was this wonderful Perl library
called CGI, many people only learned Perl because of it. It was simple
enough to get started without knowing much about the language and powerful
enough to keep you going, learning by doing was much fun. While most of the
techniques used are outdated now, the idea behind it is not. Mojolicious is
a new attempt at implementing this idea using state of the art technology.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/mojo
%{_bindir}/hypnotoad
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%_bindir/morbo

%changelog
* Sun Nov 23 2014 sander85 <sander85> 5.640.0-1.mga5
+ Revision: 798597
- update to 5.64

* Sat Oct 18 2014 umeabot <umeabot> 5.390.0-5.mga5
+ Revision: 788078
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 5.390.0-4.mga5
+ Revision: 742379
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 5.390.0-3.mga5
+ Revision: 735769
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 5.390.0-2.mga5
+ Revision: 685483
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 5.390.0-1.mga5
+ Revision: 673128
- update to 5.39

* Sat Sep 06 2014 sander85 <sander85> 5.380.0-1.mga5
+ Revision: 672860
- update to 5.38

* Thu Sep 04 2014 sander85 <sander85> 5.370.0-1.mga5
+ Revision: 671898
- update to 5.37

* Tue Sep 02 2014 sander85 <sander85> 5.360.0-1.mga5
+ Revision: 670921
- update to 5.36

* Sun Aug 31 2014 sander85 <sander85> 5.350.0-1.mga5
+ Revision: 669974
- update to 5.35

* Wed Aug 27 2014 sander85 <sander85> 5.330.0-1.mga5
+ Revision: 668677
- update to 5.33

* Fri Aug 22 2014 sander85 <sander85> 5.320.0-1.mga5
+ Revision: 666444
- update to 5.32

* Wed Aug 20 2014 sander85 <sander85> 5.310.0-1.mga5
+ Revision: 665921
- update to 5.31

* Mon Aug 18 2014 sander85 <sander85> 5.300.0-1.mga5
+ Revision: 665107
- update to 5.30

* Sat Aug 16 2014 sander85 <sander85> 5.290.0-1.mga5
+ Revision: 664408
- update to 5.29

* Wed Aug 13 2014 sander85 <sander85> 5.280.0-1.mga5
+ Revision: 662238
- update to 5.28

* Tue Aug 12 2014 sander85 <sander85> 5.270.0-1.mga5
+ Revision: 661968
- update to 5.27

* Sun Aug 10 2014 sander85 <sander85> 5.260.0-1.mga5
+ Revision: 661497
- update to 5.26

* Thu Aug 07 2014 sander85 <sander85> 5.250.0-1.mga5
+ Revision: 660560
- update to 5.25

* Sun Aug 03 2014 sander85 <sander85> 5.240.0-1.mga5
+ Revision: 659423
- update to 5.24

* Fri Aug 01 2014 sander85 <sander85> 5.230.0-1.mga5
+ Revision: 659055
- update to 5.23

* Mon Jul 28 2014 sander85 <sander85> 5.210.0-1.mga5
+ Revision: 657719
- update to 5.21

* Sun Jul 27 2014 sander85 <sander85> 5.200.0-1.mga5
+ Revision: 657535
- update to 5.20

* Fri Jul 25 2014 sander85 <sander85> 5.170.0-1.mga5
+ Revision: 656439
- update to 5.17

* Tue Jul 22 2014 sander85 <sander85> 5.160.0-1.mga5
+ Revision: 655469
- update to 5.16

* Fri Jul 18 2014 sander85 <sander85> 5.150.0-1.mga5
+ Revision: 653620
- update to 5.15

* Tue Jul 15 2014 sander85 <sander85> 5.140.0-1.mga5
+ Revision: 653047
- update to 5.14

* Mon Jul 07 2014 sander85 <sander85> 5.120.0-1.mga5
+ Revision: 650375
- update to 5.12

* Thu Jul 03 2014 sander85 <sander85> 5.110.0-1.mga5
+ Revision: 642733
- update to 5.11

* Tue Jul 01 2014 sander85 <sander85> 5.100.0-1.mga5
+ Revision: 641833
- update to 5.10

* Thu Jun 26 2014 jquelin <jquelin> 5.90.0-1.mga5
+ Revision: 640016
- update to 5.09

* Tue Jun 17 2014 sander85 <sander85> 5.80.0-1.mga5
+ Revision: 637809
- update to 5.08

* Sat Jun 14 2014 sander85 <sander85> 5.70.0-1.mga5
+ Revision: 636180
- update to 5.07

* Fri Jun 13 2014 sander85 <sander85> 5.60.0-1.mga5
+ Revision: 635948
- update to 5.06

* Tue Jun 10 2014 sander85 <sander85> 5.50.0-1.mga5
+ Revision: 635462
- update to 5.05

* Wed Jun 04 2014 sander85 <sander85> 5.40.0-1.mga5
+ Revision: 633104
- update to 5.04

* Fri May 30 2014 sander85 <sander85> 5.0.0-1.mga5
+ Revision: 627918
- update to 5.0

* Tue May 20 2014 jquelin <jquelin> 4.990.0-1.mga5
+ Revision: 624371
- update to 4.99

* Tue May 06 2014 jquelin <jquelin> 4.970.0-1.mga5
+ Revision: 620713
- update to 4.97

* Tue Apr 15 2014 jquelin <jquelin> 4.930.0-1.mga5
+ Revision: 614914
- update to 4.93

* Mon Mar 31 2014 kharec <kharec> 4.910.0-1.mga5
+ Revision: 610906
- new version 4.91

* Tue Mar 25 2014 jquelin <jquelin> 4.900.0-1.mga5
+ Revision: 608430
- update to 4.90

* Fri Mar 14 2014 jquelin <jquelin> 4.890.0-1.mga5
+ Revision: 603732
- update to 4.89

* Thu Mar 13 2014 jquelin <jquelin> 4.880.0-1.mga5
+ Revision: 602983
- update to 4.88

* Mon Mar 03 2014 jquelin <jquelin> 4.860.0-1.mga5
+ Revision: 598726
- update to 4.86

* Fri Feb 28 2014 jquelin <jquelin> 4.850.0-1.mga5
+ Revision: 597895
- update to 4.85

* Mon Feb 24 2014 jquelin <jquelin> 4.840.0-1.mga5
+ Revision: 596330
- update to 4.84

* Sat Feb 15 2014 kharec <kharec> 4.810.0-1.mga5
+ Revision: 591999
- update to 4.81

* Mon Feb 10 2014 jquelin <jquelin> 4.780.0-1.mga5
+ Revision: 588544
- update to 4.78

* Tue Feb 04 2014 shlomif <shlomif> 4.750.0-1.mga5
+ Revision: 581260
- New version

* Tue Oct 22 2013 umeabot <umeabot> 4.460.0-2.mga4
+ Revision: 542213
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 4.460.0-1.mga4
+ Revision: 497114
- update to 4.46

* Sun Oct 06 2013 sander85 <sander85> 4.450.0-1.mga4
+ Revision: 492305
- update to 4.45

* Sun Oct 06 2013 sander85 <sander85> 4.440.0-1.mga4
+ Revision: 492194
- update to 4.44

* Fri Oct 04 2013 sander85 <sander85> 4.430.0-1.mga4
+ Revision: 491433
- update to 4.43

* Mon Sep 30 2013 sander85 <sander85> 4.420.0-1.mga4
+ Revision: 489531
- update to 4.42

* Thu Sep 26 2013 sander85 <sander85> 4.410.0-1.mga4
+ Revision: 486825
- update to 4.41

* Fri Sep 13 2013 sander85 <sander85> 4.370.0-1.mga4
+ Revision: 478455
- update to 4.37

* Wed Sep 11 2013 sander85 <sander85> 4.350.0-1.mga4
+ Revision: 477532
- update to 4.35

* Mon Sep 09 2013 sander85 <sander85> 4.340.0-1.mga4
+ Revision: 476593
- update to 4.34
- update to 4.27

* Mon Aug 19 2013 sander85 <sander85> 4.260.0-1.mga4
+ Revision: 467794
- update to 4.26

* Fri Aug 09 2013 sander85 <sander85> 4.240.0-1.mga4
+ Revision: 464880
- update to 4.24

* Thu Aug 01 2013 sander85 <sander85> 4.230.0-1.mga4
+ Revision: 462114
- update to 4.23

* Mon Jul 29 2013 sander85 <sander85> 4.220.0-1.mga4
+ Revision: 460646
- update to 4.22

* Sun Jul 28 2013 sander85 <sander85> 4.210.0-1.mga4
+ Revision: 460030
- update to 4.21

* Sun Jul 28 2013 sander85 <sander85> 4.200.0-1.mga4
+ Revision: 459764
- update to 4.20

* Mon Jul 22 2013 sander85 <sander85> 4.190.0-1.mga4
+ Revision: 457198
- update to 4.19

* Mon Jul 08 2013 sander85 <sander85> 4.180.0-1.mga4
+ Revision: 451425
- update to 4.18

* Wed Jun 26 2013 jquelin <jquelin> 4.160.0-1.mga4
+ Revision: 447059
- update to 4.16

* Mon Jun 10 2013 jquelin <jquelin> 4.140.0-1.mga4
+ Revision: 441695
- update to 4.14

* Fri Jun 07 2013 jquelin <jquelin> 4.120.0-1.mga4
+ Revision: 439625
- update to 4.12

* Wed May 29 2013 shlomif <shlomif> 4.70.0-1.mga4
+ Revision: 432598
- update to 4.07

* Thu May 23 2013 kharec <kharec> 4.30.0-1.mga4
+ Revision: 425284
- update to 4.03

* Wed Apr 10 2013 kharec <kharec> 3.940.0-1.mga3
+ Revision: 409374
- new bugfix release

* Mon Mar 04 2013 kharec <kharec> 3.880.0-1.mga3
+ Revision: 401384
- new version 3.88

* Sun Jan 13 2013 umeabot <umeabot> 3.740.0-2.mga3
+ Revision: 370030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.740.0-1.mga3
+ Revision: 342392
- update to 3.74

* Wed Nov 14 2012 jquelin <jquelin> 3.570.0-1.mga3
+ Revision: 317708
- update to 3.57

* Tue Nov 06 2012 jquelin <jquelin> 3.540.0-1.mga3
+ Revision: 315205
- update to 3.54

* Mon Oct 15 2012 jquelin <jquelin> 3.470.0-1.mga3
+ Revision: 306181
- update to 3.47

* Mon Oct 01 2012 jquelin <jquelin> 3.440.0-1.mga3
+ Revision: 301285
- update to 3.44

* Wed Sep 26 2012 jquelin <jquelin> 3.430.0-1.mga3
+ Revision: 298081
- update to 3.43

* Sun Sep 16 2012 kharec <kharec> 3.420.0-1.mga3
+ Revision: 294656
- update to 3.42

* Fri Sep 07 2012 kharec <kharec> 3.380.0-1.mga3
+ Revision: 289191
- update to 3.38

* Wed Sep 05 2012 kharec <kharec> 3.370.0-1.mga3
+ Revision: 288419
- update to 3.37

* Fri Aug 31 2012 kharec <kharec> 3.360.0-1.mga3
+ Revision: 286325
- update to 3.36

* Thu Jul 12 2012 jquelin <jquelin> 3.60.0-1.mga3
+ Revision: 270320
- update to 3.06

* Wed Jul 04 2012 jquelin <jquelin> 3.20.0-1.mga3
+ Revision: 267445
- update to 3.02

* Sun Jul 01 2012 kharec <kharec> 3.10.0-1.mga3
+ Revision: 266285
- update to 3.01

* Wed Jun 27 2012 kharec <kharec> 3.0.0-1.mga3
+ Revision: 264323
- update to 3.0

* Thu May 31 2012 shlomif <shlomif> 2.980.0-1.mga3
+ Revision: 252372
- New version - 2.98

* Sat Feb 25 2012 kharec <kharec> 2.530.0-1.mga2
+ Revision: 214352
- update to 2.53

* Fri Feb 24 2012 kharec <kharec> 2.520.0-1.mga2
+ Revision: 214081
- update to 2.52

* Mon Jan 16 2012 takashi <takashi> 2.430.0-1.mga2
+ Revision: 196708
- update to 2.43
- update to 2.43

* Sat Dec 17 2011 kharec <kharec> 2.380.0-1.mga2
+ Revision: 183061
- update to 2.38

* Sat Dec 10 2011 kharec <kharec> 2.370.0-1.mga2
+ Revision: 180434
- update to 2.37

* Mon Dec 05 2011 kharec <kharec> 2.360.0-1.mga2
+ Revision: 177073
- update to 2.36

* Fri Dec 02 2011 kharec <kharec> 2.350.0-1.mga2
+ Revision: 175201
- update to 2.35

* Mon Nov 28 2011 kharec <kharec> 2.340.0-1.mga2
+ Revision: 173872
- update to 2.34

* Sat Nov 26 2011 kharec <kharec> 2.320.0-1.mga2
+ Revision: 172059
- update to 2.32

* Mon Nov 21 2011 kharec <kharec> 2.310.0-1.mga2
+ Revision: 170332
- update to 2.31

* Sun Nov 20 2011 kharec <kharec> 2.300.0-1.mga2
+ Revision: 169672
- update to 2.30

* Sat Nov 19 2011 kharec <kharec> 2.290.0-1.mga2
+ Revision: 169425
- update to 2.29

* Sat Nov 19 2011 kharec <kharec> 2.280.0-1.mga2
+ Revision: 169195
- update to 2.28

* Thu Nov 17 2011 kharec <kharec> 2.270.0-1.mga2
+ Revision: 168564
- update to 2.27

* Thu Nov 10 2011 kharec <kharec> 2.260.0-1.mga2
+ Revision: 166297
- update to 2.26

* Wed Nov 09 2011 kharec <kharec> 2.250.0-1.mga2
+ Revision: 165735
- update to 2.25

* Sat Nov 05 2011 kharec <kharec> 2.240.0-1.mga2
+ Revision: 163854
- update to 2.24

* Sat Nov 05 2011 kharec <kharec> 2.230.0-1.mga2
+ Revision: 163149
- update to 2.23

* Fri Nov 04 2011 kharec <kharec> 2.220.0-1.mga2
+ Revision: 162870
- update to 2.22

* Wed Nov 02 2011 kharec <kharec> 2.210.0-1.mga2
+ Revision: 161511
- update to 2.21

* Tue Nov 01 2011 kharec <kharec> 2.200.0-1.mga2
+ Revision: 160993
- update to 2.20

* Mon Oct 31 2011 kharec <kharec> 2.190.0-1.mga2
+ Revision: 160477
- update to 2.19

* Mon Oct 31 2011 kharec <kharec> 2.180.0-1.mga2
+ Revision: 160440
- update to 2.18

* Sun Sep 04 2011 kharec <kharec> 1.970.0-1.mga2
+ Revision: 138338
- update to 1.97

* Mon Aug 29 2011 kharec <kharec> 1.940.0-1.mga2
+ Revision: 136011
- update to 1.94
- update to 1.78
- update to 1.67

* Tue Jul 05 2011 kharec <kharec> 1.550.0-1.mga2
+ Revision: 118746
- update to new version

* Mon Jul 04 2011 jquelin <jquelin> 1.530.0-2.mga2
+ Revision: 118401
- using meta.yml for requires extraction

* Sat Jul 02 2011 kharec <kharec> 1.530.0-1.mga2
+ Revision: 117431
- new version 1.53

* Sun Jun 19 2011 kharec <kharec> 1.440.0-1.mga2
+ Revision: 109862
- 1.44

* Wed Apr 20 2011 kharec <kharec> 1.210.0-1.mga1
+ Revision: 89166
- imported package perl-Mojolicious

